#!/bin/sh

#
# N8100-901_UpdateModule-2.0 Update check
#
if [ -s /var/log/N8100-901_patch02-0.log ]
then
	echo "N8100-901_UpdateModule-2.0 Is Not Installed(CD002)"
	exit
fi
#
# iplb4d update arrangements command script
#
/etc/rc.d/init.d/iplb4d stop 
sleep 2
/etc/rc.d/init.d/iplb4md stop 
sleep 2
/etc/rc.d/init.d/iplb4wd stop 
sleep 2
/etc/rc.d/init.d/cntsd stop 
sleep 2

# TCPVS update
# R1.0 , R1.1 , R1.2 , R2.0
#
# ktcpvs uninstall command script
#
/sbin/tcpvsadm -c
sleep 10

if [ -e /proc/sys/net/ktcpvs/unload ]
then
	echo "1" > /proc/sys/net/ktcpvs/unload
	rmmod tcp_vs_wlc
	rmmod tcp_vs_lc
	rmmod tcp_vs_wrr
	rmmod tcp_vs_rr
	rmmod tcp_vs_ctype
	rmmod tcp_vs_url
	rmmod tcp_vs_imode
	sleep 5
	rmmod ktcpvs
	sleep 5
fi

#
# ktcpvs update command script
#
cp -f -p ./N8100-901_UpdateModule-2.0/up_ktcpvs/tcp_vs_wlc.o /usr/lib/ktcpvs/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_ktcpvs/tcp_vs_lc.o /usr/lib/ktcpvs/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_ktcpvs/tcp_vs_wrr.o /usr/lib/ktcpvs/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_ktcpvs/tcp_vs_rr.o /usr/lib/ktcpvs/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_ktcpvs/tcp_vs_url.o /usr/lib/ktcpvs/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_ktcpvs/tcp_vs_ctype.o /usr/lib/ktcpvs/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_ktcpvs/tcp_vs_imode.o /usr/lib/ktcpvs/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_ktcpvs/tcp_vs.o /usr/lib/ktcpvs/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_ktcpvs/ktcpvs.o /usr/lib/ktcpvs/.

#
# tcpvsadm update script
#
cp -f -p ./N8100-901_UpdateModule-2.0/up_ktcpvs/tcpvsadm /sbin/.
echo "TCPVS file copy finish!!"

# IPVS update
# R2.0
#
# 	IPVS update script
#
cp -f -p ./N8100-901_UpdateModule-2.0/up_ipvs/ip_vs.o /lib/modules/2.4.18-10/kernel/net/ipv4/ipvs/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_ipvs/ip_vs_dh.o /lib/modules/2.4.18-10/kernel/net/ipv4/ipvs/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_ipvs/ip_vs_ftp.o /lib/modules/2.4.18-10/kernel/net/ipv4/ipvs/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_ipvs/ip_vs_lblc.o /lib/modules/2.4.18-10/kernel/net/ipv4/ipvs/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_ipvs/ip_vs_lblcr.o /lib/modules/2.4.18-10/kernel/net/ipv4/ipvs/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_ipvs/ip_vs_lc.o /lib/modules/2.4.18-10/kernel/net/ipv4/ipvs/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_ipvs/ip_vs_rr.o /lib/modules/2.4.18-10/kernel/net/ipv4/ipvs/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_ipvs/ip_vs_sh.o /lib/modules/2.4.18-10/kernel/net/ipv4/ipvs/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_ipvs/ip_vs_wlc.o /lib/modules/2.4.18-10/kernel/net/ipv4/ipvs/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_ipvs/ip_vs_wrr.o /lib/modules/2.4.18-10/kernel/net/ipv4/ipvs/.
echo "IPVS file copy finish!!"


# watch & report update
# R1.2 , individual
#
# iplb4md update script
#
cp -f -p ./N8100-901_UpdateModule-2.0/iplb4md /etc/rc.d/init.d/.
chmod 755 /etc/rc.d/init.d/iplb4md
echo "iplb4md file copy finish!!"

#
# iplb4wd update script
# R1.1 , R1.2 , R2.0
#
cp -f -p ./N8100-901_UpdateModule-2.0/iplb4wd /etc/rc.d/init.d/.
chmod 755 /etc/rc.d/init.d/iplb4wd
echo "iplb4wd file copy finish!!"

# /etc/hosts Change tool update
# R1.2 , R2.0
#
# ifset.cgi update script
#
cp -f -p ./N8100-901_UpdateModule-2.0/up_cgicomm/ifset.cgi /opt/nec/wbmc/adm/system/network/.
chmod 755 /opt/nec/wbmc/adm/system/network/ifset.cgi
echo "ifset.cgi file copy finish!!"

# SNMP update
# R1.2
#
# snmpd update script
#
cp -f -p ./N8100-901_UpdateModule-2.0/snmpd /etc/rc.d/init.d/.
chmod 755 /etc/rc.d/init.d/snmpd
cp -f -p ./N8100-901_UpdateModule-2.0/snmpapi.pl /opt/nec/wbmc/adm/service/72snmpd/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_cgicomm/updown.cgi /opt/nec/wbmc/adm/service/.
chmod 755 /opt/nec/wbmc/adm/service/updown.cgi
echo "snmpd file copy finish!!"

# LoadBalancer update
# R1.0 , R1.1 , R2.0 , individual
#
# iplb4d update command script
#
cp -f -p ./N8100-901_UpdateModule-2.0/iplb4d /usr/lib/iplb4/.

# watch & report update
# individual
#
# Mail update command script
#
cp -f -p ./N8100-901_UpdateModule-2.0/iplbwatch /usr/lib/iplb4/.

# watch & report update
# R1.1 , individual
#
# Mail update command script
#
cp -f -p ./N8100-901_UpdateModule-2.0/iplbmsgr /usr/lib/iplb4/.
cp -f -p ./N8100-901_UpdateModule-2.0/smtp.pl /usr/lib/iplb4/.
#
# cgi update command script
#
cp -f -p ./N8100-901_UpdateModule-2.0/up_cgi/IplbKansi*.cgi /opt/nec/wbmc/adm/uloadbalancer/.

# watch & report update
# R1.0 , R1.1 , individual
#
# cgi update command script
#
cp -f -p ./N8100-901_UpdateModule-2.0/up_cgi/lb-ud.sh /opt/nec/wbmc/adm/uloadbalancer/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_cgi/Iplb4*.cgi /opt/nec/wbmc/adm/uloadbalancer/.
cp -f -p ./N8100-901_UpdateModule-2.0/up_cgi/lb4*.cgi /opt/nec/wbmc/adm/uloadbalancer/.

#
# cgi-help update command script
#
cp -f -p ./N8100-901_UpdateModule-2.0/up_cgihelp/* /opt/nec/wbmc/adm/uloadbalancer/help/.

# watch & report update
# R2.0
#
# cgi update command script
#
cp -f -p ./N8100-901_UpdateModule-2.0/up_cgicomm/wbmc_backup /opt/nec/wbmc/bin/.

#
# update timestamp 
#
if [ -e /var/log/N8100-901_patch02-0.log ]
then
	/bin/date >> /var/log/N8100-901_patch02-0.log
else
	touch /var/log/N8100-901_patch02-0.log
	/bin/date >> /var/log/N8100-901_patch02-0.log
fi
/bin/date >> /var/log/N8100-901_patch02-0.log

echo "Express5800/LB300b UpdateModule-2.0 Install Finish!!"
